module.exports = {
  create: {
    requestBody: [
      "!name",
      "!phone",
      "!passwd",
      "openid",
      "role",
      "menus",
      "uid",
      "deptid",
      "deptname",
      "pid",
      "code",
      "remark",
      "isdel",
    ],
  },
  destroy: {
    params: ["!id"],
    service: "delete",
  },
  update: {
    params: ["!id"],
    requestBody: [
      "name",
      "phone",
      "passwd",
      "openid",
      "uid",
      "role",
      "menus",
      "deptid",
      "deptname",
      "pid",
      "code",
      "remark",
      "isdel",
    ],
  },
  show: {
    parameters: {
      params: ["!id"],
    },
    service: "fetch",
  },
  index: {
    parameters: {
      query: {
        name: "%name%",
        uid: "uid",
        phone: "phone",
        deptid: "deptid",
        deptname: "deptname",
        pid: "pid",
        code: "code",
        role: "role",
        isdel: "isdel",
      },
    },
    service: "query",
    options: {
      query: ["skip", "limit"],
      sort: ["meta.createdAt"],
      desc: true,
      count: true,
    },
  },
};
